Skip to main content
Server path: /openrouter-ai | Type: Application | PCID required: Yes

Tools

ToolDescription
openrouter_ai_create_audio_speechCreate speech
openrouter_ai_create_audio_transcriptionsCreate transcription
openrouter_ai_create_embeddingsSubmit an embedding request
openrouter_ai_create_messagesCreate a message
openrouter_ai_create_rerankSubmit a rerank request
openrouter_ai_create_responsesCreate a response
openrouter_ai_create_videosSubmit a video generation request
openrouter_ai_get_generationGet request & usage metadata for a generation
openrouter_ai_get_modelsList all models and their properties
openrouter_ai_get_videosPoll video generation status
openrouter_ai_list_embeddings_modelsList all embeddings models
openrouter_ai_list_endpointsList all endpoints for a model
openrouter_ai_list_endpoints_zdrPreview the impact of ZDR on the available endpoints
openrouter_ai_list_generation_contentGet stored prompt and completion content for a generation
openrouter_ai_list_models_countGet total count of available models
openrouter_ai_list_models_userList models filtered by user provider preferences, privacy settings, and guardrails
openrouter_ai_list_private_modelsGet a private model
openrouter_ai_list_private_models_endpointsList endpoints for a private model
openrouter_ai_list_providersList all providers
openrouter_ai_list_videos_contentDownload generated video content
openrouter_ai_list_videos_modelsList all video generation models
openrouter_ai_send_chat_completion_requestCreate a chat completion

openrouter_ai_create_audio_speech

Create speech Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
inputstringYesText to synthesize
modelstringYesTTS model identifier
providerobjectNoProvider-specific passthrough configuration
response_formatstringNoAudio output format
speednumberNoPlayback speed multiplier. Only used by models that support it (e.g. OpenAI TTS). Ignored by other providers.
voicestringYesVoice identifier (provider-specific).

openrouter_ai_create_audio_transcriptions

Create transcription Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
input_audioobjectYesBase64-encoded audio to transcribe
languagestringNoISO-639-1 language code (e.g., “en”, “ja”). Auto-detected if omitted.
modelstringYesSTT model identifier
providerobjectNoProvider-specific passthrough configuration
temperaturenumberNoSampling temperature for transcription

openrouter_ai_create_embeddings

Submit an embedding request Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
dimensionsintegerNoThe number of dimensions for the output embeddings
encoding_formatstringNoThe format of the output embeddings
inputobjectYesText, token, or multimodal input(s) to embed
input_typestringNoThe type of input (e.g. search_query, search_document)
modelstringYesThe model to use for embeddings
providerobjectNoThe provider value
userstringNoA unique identifier for the end-user

openrouter_ai_create_messages

Create a message Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
cache_controlobjectNoCache Control
context_managementobjectNoContext Management
max_tokensintegerNoMax Tokens
messagesobject[]YesThe messages value
metadataobjectNoThe metadata value
modelstringYesThe model value
modelsstring[]NoThe models value
output_configobjectNoConfiguration for controlling output behavior. Supports the effort parameter and structured output format.
pluginsany[]NoPlugins you want to enable for this request, including their settings.
providerobjectNoWhen multiple model providers are available, optionally indicate your routing preference.
routestringNoDEPRECATED Use providers.sort.partition instead. Backwards-compatible alias for providers.sort.partition. Accepts legacy values: “fallback” (maps to “model”), “sort” (maps to “none”).
service_tierstringNoService Tier
session_idstringNoA unique identifier for grouping related requests (e.g., a conversation or agent workflow) for observability. If provided in both the request body and the x-session-id header, the body value takes precedence. Maximum of 256 characters.
speedobjectNoThe speed value
stop_sequencesstring[]NoStop Sequences
streambooleanNoThe stream value
systemobjectNoThe system value
temperaturenumberNoThe temperature value
thinkingobjectNoThe thinking value
tool_choiceobjectNoTool Choice
toolsany[]NoThe tools value
top_kintegerNoTop K
top_pnumberNoTop P
traceobjectNoMetadata for observability and tracing. Known keys (trace_id, trace_name, span_name, generation_name, parent_span_id) have special handling. Additional keys are passed through as custom metadata to configured broadcast destinations.
userstringNoA unique identifier representing your end-user, which helps distinguish between different users of your app. This allows your app to identify specific users in case of abuse reports, preventing your entire app from being affected by the actions of individual users. Maximum of 256 characters.

openrouter_ai_create_rerank

Submit a rerank request Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
documentsstring[]YesThe list of documents to rerank
modelstringYesThe rerank model to use
providerobjectNoThe provider value
querystringYesThe search query to rerank documents against
top_nintegerNoNumber of most relevant documents to return

openrouter_ai_create_responses

Create a response Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
backgroundbooleanNoThe background value
frequency_penaltynumberNoFrequency Penalty
image_configobjectNoProvider-specific image configuration options. Keys and values vary by model/provider. See https://openrouter.ai/docs/guides/overview/multimodal/image-generation for more details.
includestring[]NoRelated resources to include
inputobjectYesInput for a response request - can be a string or array of items
instructionsstringNoThe instructions value
max_output_tokensintegerNoMax Output Tokens
max_tool_callsintegerNoMax Tool Calls
metadataobjectNoMetadata key-value pairs for the request. Keys must be ≤64 characters and cannot contain brackets. Values must be ≤512 characters. Maximum 16 pairs allowed.
modalitiesstring[]NoOutput modalities for the response. Supported values are “text” and “image”.
modelstringYesThe model value
modelsstring[]NoThe models value
parallel_tool_callsbooleanNoParallel Tool Calls
pluginsany[]NoPlugins you want to enable for this request, including their settings.
presence_penaltynumberNoPresence Penalty
previous_response_idstringNoPrevious Response Id
promptobjectNoThe prompt value
prompt_cache_keystringNoPrompt Cache Key
providerobjectNoWhen multiple model providers are available, optionally indicate your routing preference.
reasoningobjectNoConfiguration for reasoning mode in the response
routestringNoDEPRECATED Use providers.sort.partition instead. Backwards-compatible alias for providers.sort.partition. Accepts legacy values: “fallback” (maps to “model”), “sort” (maps to “none”).
safety_identifierstringNoSafety Identifier
service_tierstringNoService Tier
session_idstringNoA unique identifier for grouping related requests (e.g., a conversation or agent workflow) for observability. If provided in both the request body and the x-session-id header, the body value takes precedence. Maximum of 256 characters.
storebooleanNoThe store value
streambooleanNoThe stream value
temperaturenumberNoThe temperature value
textobjectNoText output configuration including format and verbosity
tool_choiceobjectNoTool Choice
toolsany[]NoThe tools value
top_kintegerNoTop K
top_logprobsintegerNoTop Logprobs
top_pnumberNoTop P
traceobjectNoMetadata for observability and tracing. Known keys (trace_id, trace_name, span_name, generation_name, parent_span_id) have special handling. Additional keys are passed through as custom metadata to configured broadcast destinations.
truncationstringNoThe truncation value
userstringNoA unique identifier representing your end-user, which helps distinguish between different users of your app. This allows your app to identify specific users in case of abuse reports, preventing your entire app from being affected by the actions of individual users. Maximum of 256 characters.

openrouter_ai_create_videos

Submit a video generation request Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
aspect_ratiostringNoAspect ratio of the generated video
callback_urlstringNoURL to receive a webhook notification when the video generation job completes. Overrides the workspace-level default callback URL if set. Must be HTTPS.
durationintegerNoDuration of the generated video in seconds
frame_imagesany[]NoImages to use as the first and/or last frame of the generated video. Each image must specify a frame_type of first_frame or last_frame.
generate_audiobooleanNoWhether to generate audio alongside the video. Defaults to the endpoint’s generate_audio capability flag, false if not set.
input_referencesobject[]NoReference images to guide video generation
modelstringYesThe model value
promptstringYesThe prompt value
providerobjectNoProvider-specific passthrough configuration
resolutionstringNoResolution of the generated video
seedintegerNoIf specified, the generation will sample deterministically, such that repeated requests with the same seed and parameters should return the same result. Determinism is not guaranteed for all providers.
sizestringNoExact pixel dimensions of the generated video in “WIDTHxHEIGHT” format (e.g. “1280x720”). Interchangeable with resolution + aspect_ratio.

openrouter_ai_get_generation

Get request & usage metadata for a generation Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
idstringYesThe generation ID

openrouter_ai_get_models

List all models and their properties Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
categorystringNoFilter models by use case category
supported_parametersstringNoFilter models by supported parameter (comma-separated)
output_modalitiesstringNoFilter models by output modality. Accepts a comma-separated list of modalities (text, image, audio, embeddings) or “all” to include all models. Defaults to “text”.

openrouter_ai_get_videos

Poll video generation status Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
jobIdstringYesJob Id

openrouter_ai_list_embeddings_models

List all embeddings models Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.

openrouter_ai_list_endpoints

List all endpoints for a model Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
authorstringYesThe author/organization of the model
slugstringYesThe model slug

openrouter_ai_list_endpoints_zdr

Preview the impact of ZDR on the available endpoints Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.

openrouter_ai_list_generation_content

Get stored prompt and completion content for a generation Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
idstringYesThe generation ID

openrouter_ai_list_models_count

Get total count of available models Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
output_modalitiesstringNoFilter models by output modality. Accepts a comma-separated list of modalities (text, image, audio, embeddings) or “all” to include all models. Defaults to “text”.

openrouter_ai_list_models_user

List models filtered by user provider preferences, privacy settings, and guardrails Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.

openrouter_ai_list_private_models

Get a private model Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
authorstringYesThe author/organization of the model
slugstringYesThe model slug

openrouter_ai_list_private_models_endpoints

List endpoints for a private model Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
authorstringYesThe author/organization of the model
slugstringYesThe model slug

openrouter_ai_list_providers

List all providers Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.

openrouter_ai_list_videos_content

Download generated video content Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
jobIdstringYesJob Id
indexintegerNoThe index value

openrouter_ai_list_videos_models

List all video generation models Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.

openrouter_ai_send_chat_completion_request

Create a chat completion Parameters:
ParameterTypeRequiredDefaultDescription
HTTP-RefererstringNoThe app identifier should be your app’s URL and is used as the primary identifier for rankings. This is used to track API usage per application.
X-OpenRouter-TitlestringNoThe app display name allows you to customize how your app appears in OpenRouter’s dashboard.
X-OpenRouter-CategoriesstringNoComma-separated list of app categories (e.g. “cli-agent,cloud-agent”). Used for marketplace rankings.
cache_controlobjectNoCache Control
debugobjectNoDebug options for inspecting request transformations (streaming only)
frequency_penaltynumberNoFrequency penalty (-2.0 to 2.0)
image_configobjectNoProvider-specific image configuration options. Keys and values vary by model/provider. See https://openrouter.ai/docs/guides/overview/multimodal/image-generation for more details.
logit_biasobjectNoToken logit bias adjustments
logprobsbooleanNoReturn log probabilities
max_completion_tokensintegerNoMaximum tokens in completion
max_tokensintegerNoMaximum tokens (deprecated, use max_completion_tokens). Note: some providers enforce a minimum of 16.
messagesany[]YesList of messages for the conversation
metadataobjectNoKey-value pairs for additional object information (max 16 pairs, 64 char keys, 512 char values)
modalitiesstring[]NoOutput modalities for the response. Supported values are “text”, “image”, and “audio”.
modelstringYesModel to use for completion
modelsany[]NoModels to use for completion
parallel_tool_callsbooleanNoWhether to enable parallel function calling during tool use. When true, the model may generate multiple tool calls in a single response.
pluginsany[]NoPlugins you want to enable for this request, including their settings.
presence_penaltynumberNoPresence penalty (-2.0 to 2.0)
providerobjectNoWhen multiple model providers are available, optionally indicate your routing preference.
reasoningobjectNoConfiguration options for reasoning models
response_formatobjectNoResponse format configuration
routestringNoDEPRECATED Use providers.sort.partition instead. Backwards-compatible alias for providers.sort.partition. Accepts legacy values: “fallback” (maps to “model”), “sort” (maps to “none”).
seedintegerNoRandom seed for deterministic outputs
service_tierstringNoThe service tier to use for processing this request.
session_idstringNoA unique identifier for grouping related requests (e.g., a conversation or agent workflow) for observability. If provided in both the request body and the x-session-id header, the body value takes precedence. Maximum of 256 characters.
stopobjectNoStop sequences (up to 4)
streambooleanNoEnable streaming response
stream_optionsobjectNoStreaming configuration options
temperaturenumberNoSampling temperature (0-2)
tool_choiceobjectNoTool choice configuration
toolsany[]NoAvailable tools for function calling
top_logprobsintegerNoNumber of top log probabilities to return (0-20)
top_pnumberNoNucleus sampling parameter (0-1)
traceobjectNoMetadata for observability and tracing. Known keys (trace_id, trace_name, span_name, generation_name, parent_span_id) have special handling. Additional keys are passed through as custom metadata to configured broadcast destinations.
userstringNoUnique user identifier